%define 	module	kaa-imlib2

Summary:	Imlib2 wrapper for python
Summary(pl.UTF-8):	Wrapper imlib2 dla Pythona
Name:		python-%{module}
Version:	0.2.1
Release:	6
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/freevo/%{module}-%{version}.tar.gz
# Source0-md5:	f4d3019b7471a7da541e13de91ec2875
URL:		http://www.freevo.org/kaa/
BuildRequires:	imlib2-devel >= 1.2.1
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-kaa-base
BuildRequires:	rpm-pythonprov
BuildRequires:	libpng-devel
%pyrequires_eq	python-modules
Requires:	python-kaa-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imlib2 wrapper for python.

%description -l pl.UTF-8
Wrapper imlib2 dla Pythona.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/kaa/imlib2
%{py_sitedir}/kaa/imlib2/*.py[co]
%attr(755,root,root) %{py_sitedir}/kaa/imlib2/*.so
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-kaa-imlib2.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a2ff059
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 473fb5e
- automatic change: use py_build/py_install macros

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> eb515c6
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f6a2d8
- release 4

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f3bd91
- release 3

* Sun Jul 26 2009 Łukasz Jarosław Mozer <lukasz.mozer@gmail.com> 03677bb
- added missing br: libpng-devel

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bab7f43
- release 2

* Mon May 07 2007 Jakub Bogusz <qboosh@pld-linux.org> e0773f6
- sorted BRs, formatting

* Mon May 07 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 9db39ee
- add BR

* Tue May 01 2007 blekot <blekot@pld-linux.org> 4a51ff1
- init

